Package com.sap.ai.sdk.foundationmodels.openai.generated.model

# Interface EmbeddingsCreateRequestInput

All Known Implementing Classes:
  `EmbeddingsCreateRequestInput.InnerString`, `EmbeddingsCreateRequestInput.ListOfStrings`

public interface EmbeddingsCreateRequestInput
Input text to get embeddings for, encoded as a string. To get embeddings for multiple inputs in a single request, pass an array of strings. Each input must not exceed 2048 tokens in length. Unless you are embedding code, we suggest replacing newlines (\\n) in your input with a single space, as we have observed inferior results when newlines are present.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Interface
  Description
  `static final record`
  `EmbeddingsCreateRequestInput.InnerString`
  Helper class to create `String` that implements `EmbeddingsCreateRequestInput`.
  `static final record`
  `EmbeddingsCreateRequestInput.ListOfStrings`
  Helper class to create `List<String>` that implements `EmbeddingsCreateRequestInput`.

- ## Method Summary

  Static Methods
  Modifier and Type
  Method
  Description
  `static EmbeddingsCreateRequestInput.InnerString`
  `create(String val)`
  Creator to enable deserialization of `String` .
  `static EmbeddingsCreateRequestInput.ListOfStrings`
  `createListOfStrings(List<String> val)`
  Creator to enable deserialization of `List<String>` .

- ## Method Details

  - ### createListOfStrings

    @Nonnull static EmbeddingsCreateRequestInput.ListOfStrings createListOfStrings(@Nonnull List<String> val)
    Creator to enable deserialization of `List<String>` .
    Parameters:
      `val` - the value to use
    Returns:
      a new instance of `EmbeddingsCreateRequestInput.ListOfStrings`.

  - ### create

    @Nonnull static EmbeddingsCreateRequestInput.InnerString create(@Nonnull String val)
    Creator to enable deserialization of `String` .
    Parameters:
      `val` - the value to use
    Returns:
      a new instance of `EmbeddingsCreateRequestInput.InnerString`.